#!/bin/bash

set -e

tag="$REGISTRY/$SERVICE:${COMMIT_SHA:0:10}"
deploymentrepo="$TMP/deployments"

CUDDLE_FETCH_POLICY=never cuddle_cli render_template \
  --template-file "$TMP/docker-compose.deploy_release.yml.tmpl" \
  --dest "$deploymentrepo/$SERVICE/docker-compose.yml" \
  --extra-var "image=$tag"
